Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.faces.convert
Annotation Type FacesConverter

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    @Inherited
    public @interface FacesConverter

The presence of this annotation on a class automatically registers the class with the runtime as a `Converter`. The value of the `value()` attribute is taken to be converter-id, the value of the `forClass()` attribute is taken to be converter-for-class and the fully qualified class name of the class to which this annotation is attached is taken to be the converter-class. The implementation must guarantee that for each class annotated with `FacesConverter`, found with the algorithm in section JSF.11.5, the proper variant of `Application.addConverter()` is called. If converter-id is not the empty string, `Application.addConverter(java.lang.String,java.lang.String)` is called, passing the derived converter-id as the first argument and the derived converter-class as the second argument. If converter-id is the empty string, `Application.addConverter(java.lang.Class,java.lang.String)` is called, passing the converter-for-class as the first argument and the derived converter-class as the second argument. The implementation must guarantee that all such calls to `addConverter()` happen during application startup time and before any requests are serviced.

Optional Element Summary
`Class` | `forClass` The value of this annotation attribute is taken to be the converter-for-class with which instances of this class of converter can be instantiated by calling `Application.createConverter(java.lang.Class)`.
`String` | `value` The value of this annotation attribute is taken to be the converter-id with which instances of this class of converter can be instantiated by calling `Application.createConverter(java.lang.String)`.

### value

    public abstract String value

  The value of this annotation attribute is taken to be the converter-id with which instances of this class of converter can be instantiated by calling `Application.createConverter(java.lang.String)`.

  Default:
    ""

### forClass

    public abstract Class forClass

  The value of this annotation attribute is taken to be the converter-for-class with which instances of this class of converter can be instantiated by calling `Application.createConverter(java.lang.Class)`.

  Default:
    java.lang.Object.class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.